{
  lib,
  pkgs,
  ...
}:
{
  imports = [
    ../global

    ../features/fish
    ../features/direnv
    ../features/topgrade
    ../features/neovim
    ../features/yazi
    ../features/emacs
    ../features/nix-helper
  ];

  hostName = "aspi";
  is-nixos = false;
  # terminal = "kitty";

  home.packages =
    lib.lists.concatMap (packages-list-file: import packages-list-file { inherit pkgs; })
      [
        ./fonts.nix
        ./packages.nix
      ];
}
