# Common config for all hosts

{
  inputs,
  outputs,
  ...
}:
{
  imports =
    [
      ./fish.nix # fish for admin
      ./locale.nix
      ./nix.nix
      ./podman.nix
      ./sops.nix
      ./xserver.nix
    ]
    ++ [
      inputs.home-manager.nixosModules.home-manager
    ]
    ++ (builtins.attrValues outputs.nixosModules);

  home-manager.useGlobalPkgs = true;
  home-manager.extraSpecialArgs = {
    inherit inputs outputs;
  };

}
