{
  config,
  lib,
  pkgs,
  inputs,
  ...
}:

{

  programs.hyprland.enable = true;
  programs.hyprland.package = inputs.hyprland.packages.${pkgs.system}.hyprland; # does only work with nixos-unstable
  programs.hyprland.xwayland.enable = true;
  security.pam.services.hyprlock = { };
  services.displayManager.defaultSession = "hyprland";
}
