{
  lib,
  pkgs,
  inputs,
  config,
  ...
}:

{
  home.packages = with pkgs; [ alacritty ];

  home.file = {
    ".config/alacritty/theme".source = "${inputs.alacritty-theme}";
    ".config/alacritty/alacritty.toml".source = ./alacritty.toml;
  };

  home.sessionVariables.TERMINAL = lib.mkIf (config.terminal == "alacritty") "alacritty";
}
